API referenceFindings
List Analyses
GET
/api/v1/finding-analysesAuthorizationBearer <token>
A workspace API key (a13n_...)
In: header
Query Parameters
limit?Limit
Range
1 <= value <= 100Default
20cursor?string|null
Header Parameters
X-Workspace-ID?|
The workspace ID a login session acts in; required with a login session. An API key acts in its own workspace and needs none; naming another is forbidden.
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/api/v1/finding-analyses"{ "items": [ { "agent_id": "string", "cited_trace_count": 0, "created_at": "2019-08-24T14:15:22Z", "finding_count": 0, "id": "string", "read_trace_ids": [ "string" ], "run_id": "string", "run_status": "string", "selected_traces": [ { "run_id": "string", "trace_id": "string" } ], "selection": { "agent_id": "string", "max_traces": 10, "presets": [ "execution" ], "started_after": "2019-08-24T14:15:22Z", "started_before": "2019-08-24T14:15:22Z", "trace_id": "string" }, "selection_truncated": true, "session_id": "string", "thread_id": "string" } ], "next_cursor": "string"}